Bug 731807 - Problems connecting to exchange
Summary: Problems connecting to exchange
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-exchange
Version: 15
Hardware: i686
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 18:32 UTC by Mauricio Fuentes Montero
Modified: 2012-08-07 17:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:05:38 UTC


Attachments (Terms of Use)
Valgrind's log of evolution execution (21.21 KB, text/plain)
2011-08-19 14:32 UTC, Mauricio Fuentes Montero
no flags Details

Description Mauricio Fuentes Montero 2011-08-18 18:32:03 UTC
Description of problem:
Recently I'm experience some troubles to connect to exchange. I start evolution from a terminal and when I try to synchronize my mail the following debug output appears several times:

(evolution:2009): camel-exchange-provider-CRITICAL **: is_online: assertion `ed->estore != NULL' failed

And I can send/receive mails.

Version-Release number of selected component (if applicable):
evolution 3.0.2


How reproducible:


Steps to Reproduce:
1. Open evolution from a terminal
2. Try to synchronize the mailbox
3. The debug output appears several times
  
Actual results:

The synchronize progress windows appears and dissapears instantly, and I can't send/receive emails.

Expected results:

Be able to send/receive emails.


Additional info:

Comment 1 Milan Crha 2011-08-19 05:57:25 UTC
Thanks for a bug report. Is it the only error it prints on the console, please? I'm interested in the output before it, as anything after this can be cause by it.

I'm wondering what this can be, because I vaguely recall similar issue being fixed months ago, there it was about accessing already freed memory. Could you try to run evolution under valgrind, to see whether it'll show anything, please? You can do that with command like this (with 'valgrind' package installed):
   $ G_SLICE=always-malloc valgrind --num-callers=50 evolution &>log.txt
And if it'll not work, the exchange account will not be functional, then close evolution and attach here the log.txt file. Check its content for any private information you would not like to share, though valgrind logs do not expose user names, passwords or server names usually. Please note that running evolution under valgrind also means a significantly slower processing due to all memory checking, thus give it some time till it runs and till it does all the tasks it does on start.

Comment 2 Mauricio Fuentes Montero 2011-08-19 14:32:03 UTC
Created attachment 519050 [details]
Valgrind's log of evolution execution

Hi!
Thanks for answer to my bug report. I'm attaching the valgrind's log for the evolution execution.

Comment 3 Bojan Smojver 2011-08-21 23:39:35 UTC
Yeah, same here. Maybe some update caused it to start failing. Not sure.

Comment 4 Bojan Smojver 2011-08-22 01:06:42 UTC
Just for kicks, tried MAPI support, which I haven't tried for a long time now. Unfortunately, still unusable with a large mailbox, over many folders, like mine. Just FYI.

Comment 5 Milan Crha 2011-08-22 07:03:04 UTC
Thanks for the update. The valgrind log shows all the warnings as you wrote above, but valgrind itself doesn't find an issue with it, thus it seems like it's cased by something else than a used memory after free.

It might be checkable whether Bojan has right with the update, especially if it's caused by an update to evolution-exchange. You can go to a previous version of it by running a command like this:
   $ yum downgrade evolution-exchange
to test whether any latest update to it causes an issue, though I do not see any change directly related to this between 3.0.0 and current 3.0.2. The other option is libsoup, which evolution-exchange is using to communicate with the server.

I also tried with current Fedora 15 (after yum update), and I do not see such issue with evolution-exchange, it behaves correctly here. I only noticed that

> LDAP authentication failed (0xffffffff (Can't contact LDAP server))

warning on the console, but only for the first time, when I enabled the exchange account. Could you try to disable the exchange account, close evolution, run evolution, go to Mail Accounts preferences, edit the exchange account, re-authenticate and then enable it, please? Maybe something broke with the configuration? I'm pretty out of idea here, right now.

Comment 6 Bojan Smojver 2011-08-22 07:05:27 UTC
I recreated the account several times. It's not the config, I think.

BTW, it just stopped working for me, out of the blue. I'll downgrade evolution-exchange and verify again.

Comment 7 Bojan Smojver 2011-08-22 07:50:52 UTC
Downgraded to 3.0.1-1.fc15, configure the account and I can see my e-mail again. OK, let me upgrade again...

Comment 8 Bojan Smojver 2011-08-22 07:57:08 UTC
Upgraded, still works. Confused, to be honest.

Comment 9 Milan Crha 2011-08-22 09:25:23 UTC
Hrm, I'm confused too. The only explanation I can think of is that the locally stored data were corrupted in some way, which prevented evolution-exchange behave properly. Removing the account and configure it again doesn't remove this stored data, and because you've it stored in the same folder in 3.0.x (the 3.2.x will store per account UID, thus this will not be true in that and later version), then these data could be reused. Whether previous version of evolution-exchange fixed any such hypothetical data brokenness is just a question.

Comment 10 Bojan Smojver 2011-08-22 09:41:52 UTC
If by data you mean stuff in ~/.local/share/evolution/mail/exchange/<account>, then no. I've blown this away many times after killing evo, addressbook and calendar processes. I also killed state.ini for mail several times.

Maybe I and the original reporter work for the same company without knowing and Exchange admins are screwing with us :-)

Comment 11 Milan Crha 2011-08-22 10:15:08 UTC
(In reply to comment #10)
> If by data you mean stuff in ~/.local/share/evolution/mail/exchange/<account>,
> then no. I've blown this away many times after killing evo, addressbook and
> calendar processes. I also killed state.ini for mail several times.

Yup, those data I mean. Note there are other in ~/.local/share/evolution/exchange, and for calendar and addressbook also in ~/.cache/evolution, but these might not play a role in the mailer.

> Maybe I and the original reporter work for the same company without knowing and
> Exchange admins are screwing with us :-)

Hehe, I like this explanation :)

Comment 12 Mauricio Fuentes Montero 2011-08-22 18:03:19 UTC
(In reply to comment #7)
> Downgraded to 3.0.1-1.fc15, configure the account and I can see my e-mail
> again. OK, let me upgrade again...

Did you erase the account and create it again? or you just got authenticated again?

Comment 13 Mauricio Fuentes Montero 2011-08-22 19:09:10 UTC
I downgrade evolution-exchange and it worked... This definitely is about the upgrade of evolution-exchange package...

Comment 14 Bojan Smojver 2011-08-22 23:13:48 UTC
(In reply to comment #12)
 
> Did you erase the account and create it again? or you just got authenticated
> again?

I did yes. But I see it worked for you even without doing that.

Comment 15 Milan Crha 2011-08-23 13:15:08 UTC
I checked changes done between 3.0.1 and 3.0.2 of evolution-exchange in Fedora 15 and there are done only these code changes from Gnome's bugzilla:
   Bug 648612 crash during drag & drop of recurring events
   Bug 436619 fix a small error
   Bug 339827 EDS crashes on startup
and they all are in calendar, the rest of evolution-exchange is unchanged. Bojan said, that updating back to 3.0.2 works again (I hope after restart too), thus this all seems just like a coincidence to me.

Comment 16 Mauricio Fuentes Montero 2011-08-24 17:56:50 UTC
It happened again, the same problem and I didn't change anything. I downgrade  evoltuion-exchange when the problem got solved and I'm still on version 3.0.1, this is very weird...

Comment 17 Fedora End Of Life 2012-08-07 17:05:40 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.